package com.zj365.health.adapter

import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.xty.common.setImage
import com.xty.common.setImageUser
import com.zj365.health.R
import com.xty.network.model.FamilyBean
import de.hdodenhof.circleimageview.CircleImageView

class FamilyAdapter:BaseAdapter<FamilyBean>(R.layout.item_family) {
    override fun convert(holder: BaseViewHolder, item: FamilyBean) {
        holder.getView<CircleImageView>(R.id.mImage).setImageUser(context, item.avatarUrl)
        holder.setText(R.id.mNickName,item.fCall)
            .setText(R.id.mCode,"设备号：${item.deviceId}")
    }
}